import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class NumbersTest {

    @org.junit.jupiter.api.Test
    void isDivisibleBy() {
        Numbers number = new Numbers();
        assertTrue(number.isDivisibleBy(3 ,12));
        assertTrue(number.isDivisibleBy(4,12));
        assertTrue(number.isDivisibleBy(6,12));
        assertTrue(number.isDivisibleBy(12, 12));
        assertFalse(number.isDivisibleBy(5,12));

        assertTrue(number.isDivisibleBy(3 ,9));
        assertTrue(number.isDivisibleBy(9, 9));
        assertFalse(number.isDivisibleBy(4,9));
        assertFalse(number.isDivisibleBy(5,9));
        assertFalse(number.isDivisibleBy(6,9));
    }

    @org.junit.jupiter.api.Test
    void lastDigitIs() {
        Numbers number = new Numbers();
        assertTrue(number.lastDigitIs(0, 90));
        assertTrue(number.lastDigitIs(1, 1));
        assertTrue(number.lastDigitIs(1, 41));
        assertTrue(number.lastDigitIs(2, 32));
        assertTrue(number.lastDigitIs(7, 67));
        assertTrue(number.lastDigitIs(9, 10399));

        assertFalse(number.lastDigitIs(1, 12));
        assertFalse(number.lastDigitIs(2, 23));
        assertFalse(number.lastDigitIs(10, 110));
        assertFalse(number.lastDigitIs(5, 551));
    }

    @org.junit.jupiter.api.Test
    void sumWithPredecessor() {
        Numbers number = new Numbers();
        assertEquals(11, number.sumWithPredecessor(6));
        assertEquals(0, number.sumWithPredecessor(1));
    }

    @org.junit.jupiter.api.Test
    void sumWithPredecessorIsDivisibleBy() {
        Numbers number = new Numbers();
        assertTrue(number.sumWithPredecessorIsDivisibleBy(1,14));
        assertTrue(number.sumWithPredecessorIsDivisibleBy(3,14));
        assertFalse(number.sumWithPredecessorIsDivisibleBy(4,36));
        assertTrue(number.sumWithPredecessorIsDivisibleBy(5,18));
        assertFalse(number.sumWithPredecessorIsDivisibleBy(10,100));
        assertFalse(number.sumWithPredecessorIsDivisibleBy(12,24));
        assertTrue(number.sumWithPredecessorIsDivisibleBy(13,85));
    }
}